%global __os_install_post %(echo '%{__os_install_post}' | sed -e 's!/usr/lib[^[:space:]]*/brp-python-bytecompile[[:space:]].*$!!g')
Buildroot: %{_builddir}/%{name}-root
Name: unicore-registry6
Version: 6.0.0
Release: 0.sl5
Summary: UNICORE Registry Server
License: BSD
Distribution: RedHat
Group: System Environment/Daemons
URL: http://www.unicore.eu
Requires: java-1.6.0-openjdk
BuildArch: noarch
Packager: UNICORE unicore-support@lists.sourceforge.net
BuildRequires: subversion  
BuildRequires: maven  
BuildRequires: java-1.6.0-openjdk-devel 
Source0 : unicore-registry6-6.0.0-0.src.tar.gz

%description
UNICORE (Uniform Interface to Computing Resources) offers a
ready-to-run Grid system including client and server software.
UNICORE makes distributed computing and data resources available
in a seamless and secure way in intranets and the internet.

This package contains the UNICORE Registry server.

%changelog
* Tue Oct 4 2011 Bernd Schuller <unicore-support@lists.sourceforge.net> 
-Updated packaging, prepare v6.4.2 release
* Sun  Feb 20 2011 Bernd Schuller <unicore-support@lists.sourceforge.net> 
-Updated for 6.4.0 release
* Wed Oct 06 2010 Andre Giesler <unicore-support@lists.sourceforge.net> 
-Initial rpm package

%prep 
%setup -q -c . 
%build
%install 
rm -rf $RPM_BUILD_ROOT 
mkdir -p $RPM_BUILD_ROOT 
cd registry-dist 
mvn -q package -Ppackman -Dmaven.test.skip -Dmaven.repo.local=`pwd`/maven-repo -Dpackage.version=6.0.0 -Dpackage.release=0 -Ddistribution=RedHat -Dpackage.config.dir=src/main/package -Dpackage.type=prep.src.rpm -DindexJars -B; 
cp -r target/RedHat/RPMS/builddir/* $RPM_BUILD_ROOT 
%clean 
rm -rf $RPM_BUILD_ROOT


%files

#
# Config files
#
%dir "/etc/unicore/registry/"
%dir "/etc/unicore/registry/xacml2Policies"
%config %attr(0644 unicore unicore) "/etc/unicore/registry/startup.properties"
%config %attr(0600 unicore unicore) "/etc/unicore/registry/jmxremote.password"
%config %attr(0644 unicore unicore) "/etc/unicore/registry/logging.properties"
%config %attr(0644 unicore unicore) "/etc/unicore/registry/simpleuudb"
%config %attr(0600 unicore unicore) "/etc/unicore/registry/uas.config"
%config %attr(0600 unicore unicore) "/etc/unicore/registry/wsrflite.xml"
%config %attr(0644 unicore unicore) "/etc/unicore/registry/xacml2.config"
%config %attr(0644 unicore unicore) "/etc/unicore/registry/xacml2Policies/01registryServices.xml"
%config %attr(0644 unicore unicore) "/etc/unicore/registry/xacml2Policies/99finalDeny.xml"

%attr(0744 unicore unicore) "/etc/rc.d/init.d/unicore-registry"
%attr(0744 unicore unicore) "/usr/sbin/unicore-registry-start.sh"
%attr(0744 unicore unicore) "/usr/sbin/unicore-registry-stop.sh"
%attr(0744 unicore unicore) "/usr/sbin/unicore-registry-status.sh"


#
# Documentation
#
%dir "/usr/share/doc/unicore/registry/"
"/usr/share/doc/unicore/registry/*"

#
# jar files
#
%attr(755 root root) %dir "/usr/share/unicore/registry/lib"
%attr(644 root root) "/usr/share/unicore/registry/lib/*.jar"

#
# logs
#
%dir %attr(0755 unicore unicore) "/var/log/unicore"
%dir %attr(0755 unicore unicore) "/var/log/unicore/registry"
%dir %attr(0755 unicore unicore) "/var/run/unicore"
%dir %attr(0750 unicore unicore) "/var/lib/unicore"
%dir %attr(0750 unicore unicore) "/var/lib/unicore/registry"


#
#unicore-configurator
#
%dir %attr(755 root root) "/usr/share/unicore/configurator"
%dir %attr(755 root root) "/usr/share/unicore/configurator/updater.d"
%attr(644 root root) "/usr/share/unicore/configurator/updater.d/registry.py"

%pre
/usr/sbin/groupadd -r unicore 2>/dev/null || :
/usr/sbin/useradd -c "UNICORE" -g unicore \
    -s /sbin/nologin -r -d /usr/share/unicore unicore 2>/dev/null || :
	
%post
if [ -e /sbin/chkconfig ]; then
    /sbin/chkconfig --add unicore-registry
elif [ -e /sbin/insserv ]; then
    /sbin/insserv unicore-registry
fi


%preun
if [ -e /sbin/chkconfig ]; then
  if [ "$1" = "0" ]; then 
      /etc/init.d/unicore-registry stop >/dev/null 2>&1
      /sbin/chkconfig --del unicore-registry
  fi
elif [ -e /sbin/insserv ]; then
  if [ "$1" = "0" ]; then 
      /etc/init.d/unicore-registry stop >/dev/null 2>&1
      /sbin/insserv -r unicore-registry
  fi
fi
